import { SVGProps } from 'react';
import { ScalarValue } from '../../types';
declare type AnnotationShapeList = 'circle' | 'triangle' | 'line' | 'none';
export interface AnnotationArrowProps extends Omit<SVGProps<SVGLineElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'stroke'> {
    x1: ScalarValue;
    y1: ScalarValue;
    x2: ScalarValue;
    y2: ScalarValue;
    xAxis?: string;
    yAxis?: string;
    startPoint?: AnnotationShapeList;
    endPoint?: AnnotationShapeList;
    color?: string;
    strokeWidth?: ScalarValue;
    markerSize?: number;
}
export declare function Arrow(props: AnnotationArrowProps): JSX.Element;
export {};
