import { SVGAttributes } from 'react';
import { BaseSeriesProps, CSSFuncProps, LabelFuncProps, SeriesPoint, ShapeFuncProps } from '../../types';
export interface ScatterSeriesProps<T extends SeriesPoint = SeriesPoint> extends BaseSeriesProps {
    data: ReadonlyArray<T>;
    markerShape?: ShapeFuncProps<T>;
    displayMarkers?: boolean;
    markerSize?: number;
    markerStyle?: CSSFuncProps<T>;
    pointLabel?: LabelFuncProps<T>;
    pointLabelStyle?: CSSFuncProps<T>;
    displayErrorBars?: boolean;
    errorBarsStyle?: SVGAttributes<SVGLineElement>;
    errorBarsCapStyle?: SVGAttributes<SVGLineElement>;
    errorBarsCapSize?: number;
    lineStyle?: CSSFuncProps<T>;
    displayLines?: boolean;
}
export declare function ScatterSeries<T extends SeriesPoint = SeriesPoint>(props: ScatterSeriesProps<T>): JSX.Element | null;
