/// <reference types="react" />
import { SeriesPoint } from '..';
import { ControllerHookOptions, DualAxisOptions, PathOptions } from './types';
export interface UseDrawPathOptions extends ControllerHookOptions, DualAxisOptions, PathOptions {
    /**
     * Callback on mouse move while drawing.
     * */
    onDraw?: (points: SeriesPoint[]) => void;
    /**
     * Callback when releasing mouse at end of drawing.
     * */
    onEnd?: (points: SeriesPoint[]) => void;
    /**
     * Close the path (link the first and last points).
     * */
    close?: boolean;
}
export declare function useDrawPath(options?: UseDrawPathOptions): {
    annotations: JSX.Element | null;
};
